Public Types | Public Member Functions

# MultiMap< KEY, VALUE, COMPARE > Class Template Reference

hand-rolled multimap as map of lists. More...

`#include <multimap.hpp>`

## Public Types
typedef std::list< VALUE > | List
typedef List::iterator | ListIterator
typedef List::const_iterator | ConstListIterator
typedef std::map< KEY, List, COMPARE > | Map
typedef Map::iterator | MapIterator
typedef Map::const_iterator | ConstMapIterator
typedef MultiMapIterator < MapIterator, ListIterator, KEY, VALUE, COMPARE > | iterator
typedef MultiMapIterator < ConstMapIterator, ConstListIterator, KEY, const VALUE, COMPARE > | const_iterator
## Public Member Functions
void | erase (iterator it)
void | Insert (const KEY &key, const VALUE &val)
size_t | size () const
size_t | MapSize () const
std::pair< iterator, iterator > | equal_range (const KEY &key)
std::pair< const_iterator, const_iterator > | equal_range (const KEY &key) const

## Detailed Description

### template<typename KEY, typename VALUE, typename COMPARE = std::less<KEY>>
class MultiMap< KEY, VALUE, COMPARE >

hand-rolled multimap as map of lists.

behaves mostly like a list, but is sorted by KEY.

Definition at line 177 of file multimap.hpp.

The documentation for this class was generated from the following file:

- src/core/multimap.hpp